Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/26611/?format=api
{ "ob_id": 26611, "uuid": "f156350cfc3245dfa9f6c7252da5cd08", "title": "Climate Communication Project: Representing the Majority questionnaire asking participants about their attitudes towards climate change", "abstract": "This dataset contains a spreadsheet of responses to a questionnaire asking participants about their attitudes towards climate change. This data has been fully anonymised by the author. This data was collected as part of the Climate Communication Project which was a collaboration between academics and practitioners working on public engagement with climate change. NERC Grant NE/R011974/1.", "keywords": "Climate change, questionnaire, attitudes", "publicationState": "citable", "dataPublishedTime": "2018-10-08T13:49:51", "doiPublishedTime": "2018-10-09T08:00:40", "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/26612/?format=api", "dataPath": "/badc/deposited2018/science-communication/data", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 68155, "numberOfFiles": 3, "fileFormat": "Data are csv formatted" }, "timePeriod": null, "geographicExtent": null, "nonGeographicFlag": true, "phenomena": [], "dataLineage": "This data has been fully anonymised by the author and delivered to the Centre for Environmental Data Anaylsis for archiving.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/9682/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/26610/?format=api" ], "observationcollection_set": [], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/111850/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/111851/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/111852/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/111854/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/111855/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/111856/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/111857/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/111853/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2522/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }